# Generated by Django 2.2.3 on 2019-08-16 16:28

import django.contrib.auth.models
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0011_update_proxy_permissions'),
    ]

    operations = [
        migrations.CreateModel(
            name='CoArtMap',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('art', models.TextField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Art Map',
                'verbose_name_plural': 'Art Maps',
                'db_table': 'co_art_map',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoBlock',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.IntegerField(blank=True, null=True)),
                ('user', models.IntegerField(blank=True, null=True)),
                ('wid', models.IntegerField(blank=True, null=True)),
                ('x', models.IntegerField(blank=True, null=True)),
                ('y', models.IntegerField(blank=True, null=True)),
                ('z', models.IntegerField(blank=True, null=True)),
                ('type', models.IntegerField(blank=True, null=True)),
                ('data', models.IntegerField(blank=True, null=True)),
                ('meta', models.BinaryField(blank=True, null=True)),
                ('blockdata', models.BinaryField(blank=True, null=True)),
                ('action', models.IntegerField(blank=True, null=True)),
                ('rolled_back', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Block',
                'verbose_name_plural': 'Blocks',
                'db_table': 'co_block',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoBlockdataMap',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('data', models.TextField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'BlockData Map',
                'verbose_name_plural': 'BlockData Maps',
                'db_table': 'co_blockdata_map',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoChat',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.IntegerField(blank=True, null=True)),
                ('user', models.IntegerField(blank=True, null=True)),
                ('message', models.TextField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Chat Message',
                'verbose_name_plural': 'Chat Messages',
                'db_table': 'co_chat',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoCommand',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.IntegerField(blank=True, null=True)),
                ('user', models.IntegerField(blank=True, null=True)),
                ('message', models.TextField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Command',
                'verbose_name_plural': 'Commands',
                'db_table': 'co_command',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoContainer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.IntegerField(blank=True, null=True)),
                ('user', models.IntegerField(blank=True, null=True)),
                ('wid', models.IntegerField(blank=True, null=True)),
                ('x', models.IntegerField(blank=True, null=True)),
                ('y', models.IntegerField(blank=True, null=True)),
                ('z', models.IntegerField(blank=True, null=True)),
                ('type', models.IntegerField(blank=True, null=True)),
                ('data', models.IntegerField(blank=True, null=True)),
                ('amount', models.IntegerField(blank=True, null=True)),
                ('metadata', models.BinaryField(blank=True, null=True)),
                ('action', models.IntegerField(blank=True, null=True)),
                ('rolled_back', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Container Transaction',
                'verbose_name_plural': 'Container Transactions',
                'db_table': 'co_container',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoDatabaseLock',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.IntegerField(blank=True, null=True)),
                ('time', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Database Lock',
                'verbose_name_plural': 'Database Locks',
                'db_table': 'co_database_lock',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoEntity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.IntegerField(blank=True, null=True)),
                ('data', models.BinaryField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Entity',
                'verbose_name_plural': 'Entities',
                'db_table': 'co_entity',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoEntityMap',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('entity', models.TextField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Entity Mapping',
                'verbose_name_plural': 'Entity Mappings',
                'db_table': 'co_entity_map',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoMaterialMap',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('material', models.TextField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Material Mapping',
                'verbose_name_plural': 'Material Mappings',
                'db_table': 'co_material_map',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoSession',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.IntegerField(blank=True, null=True)),
                ('user', models.IntegerField(blank=True, null=True)),
                ('wid', models.IntegerField(blank=True, null=True)),
                ('x', models.IntegerField(blank=True, null=True)),
                ('y', models.IntegerField(blank=True, null=True)),
                ('z', models.IntegerField(blank=True, null=True)),
                ('action', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Session',
                'verbose_name_plural': 'Sessions',
                'db_table': 'co_session',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoSign',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.IntegerField(blank=True, null=True)),
                ('user', models.IntegerField(blank=True, null=True)),
                ('wid', models.IntegerField(blank=True, null=True)),
                ('x', models.IntegerField(blank=True, null=True)),
                ('y', models.IntegerField(blank=True, null=True)),
                ('z', models.IntegerField(blank=True, null=True)),
                ('color', models.IntegerField(blank=True, null=True)),
                ('line_1', models.TextField(blank=True, null=True)),
                ('line_2', models.TextField(blank=True, null=True)),
                ('line_3', models.TextField(blank=True, null=True)),
                ('line_4', models.TextField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Sign',
                'verbose_name_plural': 'Signs',
                'db_table': 'co_sign',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoSkull',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.IntegerField(blank=True, null=True)),
                ('owner', models.TextField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Skull',
                'verbose_name_plural': 'Skulls',
                'db_table': 'co_skull',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.IntegerField(blank=True, null=True)),
                ('user', models.TextField(blank=True, null=True)),
                ('uuid', models.TextField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'User',
                'verbose_name_plural': 'Users',
                'db_table': 'co_user',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoUsernameLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.IntegerField(blank=True, null=True)),
                ('uuid', models.TextField(blank=True, null=True)),
                ('user', models.TextField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Username',
                'verbose_name_plural': 'Usernames',
                'db_table': 'co_username_log',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoVersion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.IntegerField(blank=True, null=True)),
                ('version', models.TextField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Version',
                'verbose_name_plural': 'Versions',
                'db_table': 'co_version',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoWorld',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('world', models.TextField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'World',
                'verbose_name_plural': 'Worlds',
                'db_table': 'co_world',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='GUIResult',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.TextField()),
                ('unix', models.TextField()),
                ('player', models.TextField()),
                ('action', models.TextField()),
                ('data', models.TextField()),
                ('x', models.TextField()),
                ('y', models.TextField()),
                ('z', models.TextField()),
                ('world', models.TextField()),
            ],
            options={
                'verbose_name': 'GUI Result',
                'verbose_name_plural': 'GUI Results',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='SessionResult',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('unix', models.TextField()),
                ('player', models.TextField()),
                ('action', models.TextField()),
            ],
            options={
                'verbose_name': 'Session Result',
                'verbose_name_plural': 'Session Results',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='CoreProtectUser',
            fields=[
            ],
            options={
                'permissions': (('gui', 'Can use CoreProtect GUI'), ('gui_extra', 'Can search Chat/Commands'), ('activity', 'Can use CoreProtect Activity Monitor')),
                'proxy': True,
                'indexes': [],
                'constraints': [],
            },
            bases=('auth.user',),
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
    ]
