from django.urls import path
from django.contrib.auth.decorators import permission_required
from django_coreprotect.views import GUI, GUIQuery, Activity, ActivityQuery

urlpatterns = [
    path('', permission_required('django_coreprotect.gui')(GUI.as_view()), name="coreprotect_gui"),
    path('query/', permission_required('django_coreprotect.gui')(GUIQuery.as_view()), name="coreprotect_gui_query"),
    path('activity/', permission_required('django_coreprotect.activity')(Activity.as_view()), name="coreprotect_activity"),
    path('activity/query/', permission_required('django_coreprotect.activity')(ActivityQuery.as_view()), name="coreprotect_activity_query"),
]
